/*****************************************************************************
 * vim:tw=78
 *
 * Copyright (C) 2015-2016  Richard Hacker (lerichi at gmx dot net)
 *                          Florian Pose <fp@igh.de>
 *
 * This file is part of the QtPdWidgets library.
 *
 * The QtPdWidgets library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * The QtPdWidgets library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the QtPdWidgets library. If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/

/** @file */

#ifndef QTPDWIDGETS2_H
#define QTPDWIDGETS2_H

#include "QtPdWidgets2/Export.h"

/// QtPdWidgets major version
#define QTPDWIDGETS_MAJOR 2
/// QtPdWidgets minor version
#define QTPDWIDGETS_MINOR 0
/// Patch level of release. Note this may be a string
#define QTPDWIDGETS_RELEASE 0

/// Macro to generate a version code for comparison
#define QTPDWIDGETS_VERSION(A, B, C) (((A) << 16) + ((B) << 8) + (C))

/// Current QtPdWidgets version
#define QTPDWIDGETS_VERSION_CODE \
        QTPDWIDGETS_VERSION(QTPDWIDGETS_MAJOR, QTPDWIDGETS_MINOR, QTPDWIDGETS_RELEASE)

namespace QtPdWidgets2 {
/// Library version string as "major.minor.patch".
PD_PUBLIC extern const char* const qtpdwidgets_version_code;
/** Library version with four fields followed by the commit hash.
 * A trailing plus sign shows that uncommitted changes existed during
 * the build. The hash is prefixed with a "g" to indicate that git is used
 * as version control system.
 *
 * Example: "5.1.0.8.gea62937+".
 */
PD_PUBLIC extern const char* const qtpdwidgets_full_version;
}

#endif  //
